Update Marketplace Audience Targeting

Update Marketplace Audience Targeting (aka Audience Segment Targeting) for the specified campaign.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

VALID request examples:

{
   "collection": []
}
{
    "collection": [
        {
            "collection": [
                158354,
                84965,
                15495,
                167,
                1687024,
                3119
            ],
            "type": "INCLUDE"
        }
    ]
}
🚧

Audience Targeting does not support a PATCH operation - the submitted values overwrite the old ones.

📘

For a successful request, the same object is returned in the response.

The following code snippets depict an initial, default state of the Campaign without targeting - followed by its updated state with targeting:

{
   // other Campaign fields..
   "audience_segments_multi_targeting": {
      "state": "ALL",
      "value": null,
      "href": "https://backstage.taboola.com/backstage/api/1.0/demo-account/campaigns/1234/targeting/audience_segments"
   }
}
{
   // other Campaign fields..
   "audience_segments_multi_targeting": {
      "state": "EXISTS",
      "value": null,
      "href": "https://backstage.taboola.com/backstage/api/1.0/demo-account/campaigns/1234/targeting/audience_segments"
   }
}

INVALID request example:

{
    "collection": [
        {
            "collection": [
                158354,
                84965,
                15495,
                167,
                1687024,
                3119
            ],
            "type": "EXCLUDE"
        }
    ]
}
{
    "http_status": 400,
    "message": "This configuration is not allowed. Contact support to change the campaign's audience targeting settings",
    "offending_field": "audience_segments_targeting.collection[0].type"
}
🚧

Marketplace Audience Targeting does not support EXCLUDE.

📘

Remove An Audience

To remove an audience, re-submit a new collection (omitting any relevant audiences).

📘

Remove All Audiences

To remove all audiences, submit an empty collection.

Path Params
string
required

An alphabetic ID. See Get Account Details.

string
required

A numeric ID.

Body Params
json
Defaults to { "collection": [ { "collection": [ 158354, 84965, 15495, 167, 1687024, 3119 ], "type": "INCLUDE" } ] }
Response

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json